import uuid

from barker.models.meta import Base
from sqlalchemy import JSON, Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID


class DbSetting(Base):
    __tablename__ = "settings"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), unique=True, nullable=False)
    data = Column("data", JSON)

    def __init__(self, id_=None, name=None, data=None):
        self.id = id_
        self.name = name
        self.data = data
