import uuid

from barker.models.meta import Base
from sqlalchemy import Column, ForeignKey, Table, UniqueConstraint, text
from sqlalchemy.dialects.postgresql import UUID


modifier_categories_products = Table(
    "modifier_categories_products",
    Base.metadata,
    Column("id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4),
    Column("product_id", UUID(as_uuid=True), ForeignKey("products.id"), nullable=False),
    Column(
        "modifier_category_id",
        UUID(as_uuid=True),
        ForeignKey("modifier_categories.id"),
        nullable=False,
    ),
    UniqueConstraint("product_id", "modifier_category_id"),
)
