import uuid

from barker.models.meta import Base
from sqlalchemy import Boolean, Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID


class Section(Base):
    __tablename__ = "sections"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), unique=True, nullable=False)
    is_fixture = Column("is_fixture", Boolean, nullable=False, default=False)

    def __init__(self, name=None, is_fixture=None, id_=None):
        self.id = id_
        self.name = name
        self.is_fixture = is_fixture

    @classmethod
    def main(cls):
        return uuid.UUID("3f13f6e7-dc76-4fca-8fdb-b2bbf29b35df")
