import uuid

from barker.models.meta import Base
from sqlalchemy import Boolean, Column, Numeric, Unicode, text
from sqlalchemy.dialects.postgresql import UUID


class Tax(Base):
    __tablename__ = "taxes"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), nullable=False, unique=True)
    rate = Column("rate", Numeric(precision=15, scale=5), nullable=False)
    is_fixture = Column("is_fixture", Boolean, nullable=False)

    def __init__(self, name=None, rate=None, is_fixture=False, id_=None):
        self.name = name
        self.rate = rate
        self.is_fixture = is_fixture
        self.id = id_
