from typing import Optional

from pydantic import BaseModel, Field

from . import to_camel
from .menu_category import MenuCategoryLink
from .printer import PrinterLink


class SectionPrinter(BaseModel):
    menu_category: Optional[MenuCategoryLink]
    printer: Optional[PrinterLink]
    copies: int = Field(ge=0)

    class Config:
        alias_generator = to_camel
