import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { BeerSaleReport } from './beer-sale-report';
import { BeerSaleReportService } from './beer-sale-report.service';

@Injectable({
  providedIn: 'root',
})
export class BeerSaleReportResolver implements Resolve<BeerSaleReport> {
  constructor(private ser: BeerSaleReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<BeerSaleReport> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
