import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { BillSettlementReport } from './bill-settlement-report';
import { BillSettlementReportService } from './bill-settlement-report.service';

@Injectable({
  providedIn: 'root',
})
export class BillSettlementReportResolver implements Resolve<BillSettlementReport> {
  constructor(private ser: BillSettlementReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<BillSettlementReport> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
