import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ProductUpdatesReportResolver } from './product-updates-report-resolver.service';
import { ProductUpdatesReportComponent } from './product-updates-report.component';

const productUpdatesReportRoutes: Routes = [
  {
    path: '',
    component: ProductUpdatesReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Products',
    },
    resolve: {
      info: ProductUpdatesReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(productUpdatesReportRoutes)],
  exports: [RouterModule],
  providers: [ProductUpdatesReportResolver],
})
export class ProductUpdatesReportRoutingModule {}
