import { Modifier } from '../../core/modifier';
import { Product } from '../../core/product';
import { Tax } from '../../core/tax';

export class Inventory {
  id: string | undefined;
  product: Product;
  quantity: number;
  price: number;
  isHappyHour: boolean;
  taxRate: number;
  tax: Tax;
  discount: number;
  modifiers: Modifier[];
  sortOrder: number;

  public constructor(init?: Partial<Inventory>) {
    this.id = undefined;
    this.product = new Product();
    this.quantity = 0;
    this.price = 0;
    this.isHappyHour = false;
    this.taxRate = 0;
    this.tax = new Tax();
    this.discount = 0;
    this.modifiers = [];
    this.sortOrder = 0;
    Object.assign(this, init);
  }
}
