import { Component, ElementRef, Inject, ViewChild } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

import { ReasonDatasource } from './reason-datasource';

@Component({
  selector: 'app-reason',
  templateUrl: './reason.component.html',
  styleUrls: ['./reason.component.css'],
})
export class ReasonComponent {
  @ViewChild('son', { static: true }) son?: ElementRef;
  form: FormGroup;
  dataSource: ReasonDatasource;
  title: string;
  selected = '';
  reasons: string[];
  displayedColumns = ['reason'];

  constructor(
    public dialogRef: MatDialogRef<ReasonComponent>,
    @Inject(MAT_DIALOG_DATA) private data: { title: string; reasons: string[] },
    private fb: FormBuilder,
  ) {
    this.reasons = data.reasons || [];
    this.title = data.title;
    this.form = this.fb.group({
      son: '',
    });
    this.dataSource = new ReasonDatasource(this.reasons);
  }

  select(reason: string) {
    this.selected = reason.trim();
    return true;
  }

  accept(): void {
    this.dialogRef.close(this.selected);
  }
}
