import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Section } from '../core/section';

import { SectionService } from './section.service';

@Injectable({
  providedIn: 'root',
})
export class SectionResolver implements Resolve<Section> {
  constructor(private ser: SectionService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Section> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
