import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { SettleOption } from '../core/settle-option';

import { SettleOptionService } from './settle-option.service';

@Injectable({
  providedIn: 'root',
})
export class SettleOptionResolver implements Resolve<SettleOption> {
  constructor(private ser: SettleOptionService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<SettleOption> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
