import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Table } from '../core/table';

import { TableService } from './table.service';

@Injectable({
  providedIn: 'root',
})
export class TableResolver implements Resolve<Table> {
  constructor(private ser: TableService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Table> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
