import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Tax } from '../core/tax';

import { TaxService } from './tax.service';

@Injectable({
  providedIn: 'root',
})
export class TaxResolver implements Resolve<Tax> {
  constructor(private ser: TaxService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Tax> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
