FROM python:latest
RUN mkdir /app
WORKDIR /app
ADD https://git.tanshu.com/tanshu/barker/raw/branch/main/frank/pyproject.toml /app/pyproject.toml

# Install Poetry
RUN curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/get-poetry.py | POETRY_HOME=/opt/poetry python && \
    cd /usr/local/bin && \
    ln -s /opt/poetry/bin/poetry && \
    poetry config virtualenvs.create false && \
    cd /app && \
    poetry install --no-root --no-dev

ADD https://git.tanshu.com/api/v1/repos/tanshu/barker/tags /tags.json
RUN git clone --single-branch --depth 1 https://git.tanshu.com/tanshu/barker.git /repo
RUN mv /repo/frank/* /app

ENV PYTHONPATH=/app

RUN chmod 777 /app/worker-start.sh \
    && ln -s /app/worker-start.sh /usr/local/bin/worker-start.sh \
    && ln -s /app/worker-start.sh /

CMD ["bash", "worker-start.sh"]
